/*
 * Simply run continuously attaching, locating and detaching names.
 *
 * The purpose here is to exercise these functions to look for
 * possible memory leaks.  There used to be a leak in the locate
 * function.
 */

#include	<stdio.h>
#include	<stdlib.h>
#include	<unistd.h>
#include	<errno.h>
#include	<string.h>
#include	<srr.h>

int main (int argc, char** argv)
{
	char		buf[64];
	int			count=100000000,i,j;
	int			ids[10];
	pid_t		pid = getpid();
	char		*names[10];

	for (j=0; j<10; j++)
	{
		sprintf (buf, "_names_%d_%d", pid, j);
		names[j] = strdup (buf);
	}
	
	for (i=0; i<count; i++)
	{
		for (j=0; j<10; j++)
		{
			ids[j] = SrrNameAttach (0, names[j]);
			if (ids[j] < 0)
			{
				printf ("Name attach failed: %d: %s\n",
						errno, strerror(errno));
				exit (-1);
			}
		}
		for (j=0; j<10; j++)
		{
			pid_t	found;
			unsigned int copies=1;
			found = SrrNameLocate (0, names[j], 0, &copies);
			if (found <= 0 || copies == 0)
			{
				printf ("Name locate failed: copies %d: %d: %s\n",
						copies, errno, strerror(errno));
				exit (-1);
			}
		}
		for (j=0; j<10; j++)
		{
			int		result;
			result = SrrNameDetach (0, ids[j]);
			if (result < 0)
			{
				printf ("Name detach failed: %d: %s\n",
						errno, strerror(errno));
			}
		}
		if (i % 10000 == 0)
			printf ("Count: %d\n", i);
	}
	return (0);
}
