/*
 * qnxtypes.h: defines types that exist in QNX's <sys/types.h>
 *
 *  Linux Loadable Module Implementation of QNX Send/Receive/Reply
 *	message passing, and related function.
 *
 *	QNX is a trademark of QSSL, Ltd. <www.qnx.com>
 *
 * Copyright (C) 2000 Cogent Real-Time Systems Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * The library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; see the file COPYING.LIB.  If not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * $Id: qnxtypes.h 354 2002-05-09 21:56:32Z andrew $
 */

#ifndef SRR_QNXTYPES_H
#define SRR_QNXTYPES_H

// O/S types, shared by user and kernel

typedef int		nid_t;      // A QNX node ID

typedef int		srr_timer_t;    // POSIX timer ID
typedef int		srr_clockid_t;  // POSIX clock ID

	// I thought this definition was POSIX, I guess its just QNX
#define EOK     0

#endif

