/*
 * IRQ handler structure
 */

#include <linux/interrupt.h>

typedef struct SrrIRQ
{
    struct SrrIRQ		*next;
	int					irq;
	int					flags;
	SrrBC_Program		program;
	char				**address;
	int					*addrlen;
	int					naddress;
	char				**storage;
	int					*storlen;
	int					nstorage;
	pid_t				proxy;		// proxy to trigger, if any
	int					handled;	// non-zero if we tell the OS we handled this IRQ
#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,0)
	struct tq_struct	bhtask;
#else
	struct work_struct	bhwork;
#endif
	atomic_t			pending;
	atomic_t			count;
	atomic_t			bhcount;
} SrrIRQ;

/* Flags */

#define SBC_FLAG_DISABLED	0x0001
#define SBC_FLAG_HANDLED	0x0002
